org.eclipse.eef.core.internal.controllers

## Class InvalidValidationRuleResult

- java.lang.Object
- - org.eclipse.eef.core.internal.controllers.ValidationRuleResult
  - - org.eclipse.eef.core.internal.controllers.InvalidValidationRuleResult

All Implemented Interfaces:
  IInvalidValidationRuleResult, IValidationRuleResult

    public class InvalidValidationRuleResult
    extends ValidationRuleResult
    implements IInvalidValidationRuleResult

An invalid validation rule result.

### Field Summary

### Fields inherited from interface org.eclipse.eef.core.api.controllers.IInvalidValidationRuleResult

`ERROR_TYPE, INFO_TYPE, WARNING_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`InvalidValidationRuleResult(EEFValidationRuleDescription validationRule, java.lang.String message, java.lang.Object data, int severity)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getData()` Returns the data related to this invalid result.
`java.lang.String` `getMessage()` Returns the message to display to the end user.
`int` `getSeverity()` Returns the severity.

### Methods inherited from class org.eclipse.eef.core.internal.controllers.ValidationRuleResult

`getValidationRule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IValidationRuleResult

`getValidationRule`

### Constructor Detail

#### InvalidValidationRuleResult

    public InvalidValidationRuleResult(EEFValidationRuleDescription validationRule,
                                       java.lang.String message,
                                       java.lang.Object data,
                                       int severity)

The constructor.

Parameters:
  `validationRule` - The validation rule
  `message` - The message
  `data` - The data
  `severity` - The severity

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Returns the message to display to the end user.

Specified by:
  `getMessage` in interface `IInvalidValidationRuleResult`
Returns:
  The message to display to the end user
See Also:
  `IInvalidValidationRuleResult.getMessage()`

#### getData

    public java.lang.Object getData()

Returns the data related to this invalid result.

Specified by:
  `getData` in interface `IInvalidValidationRuleResult`
Returns:
  The data related to this invalid result
See Also:
  `IInvalidValidationRuleResult.getData()`

#### getSeverity

    public int getSeverity()

Returns the severity.

Specified by:
  `getSeverity` in interface `IInvalidValidationRuleResult`
Returns:
  The severity
See Also:
  `IInvalidValidationRuleResult.getSeverity()`